Please note: We only support recent browsers. We highly advice Firefox. But Chrome or Internet Explorer 9 or later should work.